API Reference
Log In
API Reference

KYC (Know Your Customer)

Add a KYC check for the customer specified by CUSTOMER_ID. KYC Checks store details of checks on a customer made by the KYC team, their comments and a satisfied status.

Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📢 Considerations

To successfully perform the flow of KYC validations, before being able to create a client, the same Endpoint specified in this section must be invoked. The structure of the body of the request (Body) must be changed, in all validations the type field is required, taking into account the information required in each validation:

  • Biometric validation: In BiometricCheck catalog requires all the fields presented in the JSON of this section. The number of images is proportional to the number of records provided in the Image Type catalog.

  • Blacklist validation: In BlackListCheck catalog it requires the customer_name field and the document object with its three fields, the others could be ignored or sent empty.

  • Selfie validation: In SelfieCheck catalog requires the customer_name field and the document object with its three fields, also the media array must be sent, which must contain an object containing the selfie image type; the other media objects are not used.

  • Document validation: In DocumentCheck catalog, requires the customer_name field and the document object with its three fields, in addition the media array must be sent, which must contain the image type objects: FrontalDocument and BackDocument.

📖 Example Requests

Below you will find the body of four example JSON requests for the KYC api:

  • Example 1: BlackListCheck.
  • Example 2: DocumentCheck.
  • Example 3: SelfieCheck.
  • Example 4: BiometricCheck.
{
    "type": "BlackListCheck",
    "customer_name": "Richard Ramirez Cordoba",
    "document": {
        "number": "9999999999",
        "document_type": "2",
        "expiry_date": "2030-02-04"
    }
}
 
{
    "type": "DocumentCheck",
    "customer_name": "Richard Ramirez Cordoba",
    "document": {
        "number": "9999999999",
        "document_type": "2",
        "expiry_date": "2030-02-04"
    },
    "media": [
        {
            "type": "FrontalDocument",
            "file": "image/base64"
        },
        {
            "type": "BackDocument",
            "file": "image/base64"
        }
    ]
}
{
    "type": "SelfieCheck",
    "customer_name": "Richard Ramirez Cordoba",
    "document": {
        "number": "9999999999",
        "document_type": "2",
        "expiry_date": "2030-02-04"
    },
    "media": [
        {
            "type": "Selfie",
            "file": "image/base64"
        }
    ]
}
{
    "type": "BiometricCheck",
    "customer_name": "Richard Ramirez Cordoba",
    "document": {
        "number": "9999999999",
        "document_type": "2",
        "expiry_date": "2030-02-04"
    },
    "media": [
        {
            "type": "FrontalDocument",
            "file": "image/base64"
        },
        {
            "type": "BackDocument",
            "file": "image/base64"
        },
        {
            "type": "Selfie",
            "file": "image/base64"
        },
        {
            "type": "Signature",
            "file": "image/base64"
        }
    ]
}

JSON response body fields:

NameDescripctionType
bank_idBank code of the validation.string
idValidated document number.string
customer_nameThe name of the validated person.string
dateThe date and time the validation was performed.date
satisfiedIt is a boolean that indicates whether the validation was successful or not.boolean
commentsIt is a comment that indicates which validation was not successful, in case of a successful response this value is null.string

📋 Catalogs

✅ Verification Types

TypeDescription
BiometricCheckPerforms biometric validation that verifies that the image entered matches the customer's ID image.
BlackListCheckPerforms the VIGIA validation that checks if the customer is blacklisted.
SelfieCheckPerforms biometric validation only on the selfie, validating that it is a real identifiable person.
DocumentCheckValidate only the document sent, that it is valid, and that the name and number match the information provided.

📷 Image Types

TypeDescription
SelfiePhoto of the customer's face taken at the time of registration.
FrontalDocumentPhoto of the front of the identification document.
BackDocumentPhoto of the back of the identification document.
SignaturePhoto of the client's signature. This must be the same signature established in the identification document entered.
Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
Body Params
string
enum
Defaults to DocumentCheck

Description: **Verification Types **to be realized, this is according to catalog.

Allowed:
string
Defaults to Marcos Peraza

Description: Customer Name.
Size: 50.

document
object

Required for KYC types: DocumentCheck, SelfieCheck and BiometricCheck

media
array of objects

Description: Medias Validation.

media
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json